Bug 818589 - Review Request: fest-swing-junit - FEST Swing JUnit support
Review Request: fest-swing-junit - FEST Swing JUnit support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:07 EDT by Roman Kennke
Modified: 2013-05-19 19:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-19 19:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
omajid: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roman Kennke 2012-05-03 09:07:59 EDT
Spec URL: http://rkennke.fedorapeople.org/fest-swing-junit/1/fest-swing-junit.spec
SRPM URL: http://rkennke.fedorapeople.org/fest-swing-junit/1/fest-swing-junit-1.2.1-1.fc16.src.rpm
Description: This is the JUnit support package for FEST Swing (currently in process of being packaged by Mario Torre)
Comment 1 Omair Majid 2012-05-04 08:22:17 EDT
I will take this
Comment 2 Omair Majid 2012-05-04 09:53:43 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

fest-swing-junit.src: W: invalid-url Source0: fest-swing-junit-1.2.1.tar.bz2

Okay. Upstream does not publish a source-only tarball.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].

Could you add some more details to, and clarify, the description (especially as contained in the spec file itself). A very brief explanation of the word FEST would be nice too.

[!]  Package successfully compiles and builds into binary rpms.

Some dependencies are not yet included in fedora.

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.

Upstream does not publish source tarballs.

[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].

Missing "BuildRequires: java-devel"

Since we are not running tests, perhaps we can leave the fest-test dependency out? (I am assuming that since it's only listed as BuildRequires that it's needed for a test).

Just a nit: you might want to use junit rather than junit4 as a dependency - just to make things clearer. The junit4 package was removed in F17 and junit provides junit4.

[!]  Package must own all directories that it creates or must require other packages for directories it uses.

Missing "Requires: jpackage-utils" (needed for /usr/share/java/)

[x]  Package does not contain duplicates in %files.

Duplicate license file is fine.

[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)

There is an unnecessary rm -rf at the end of %install

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[!]  Packages have proper BuildRequires/Requires on jpackage-utils

Missing Requires on jpackage-utils.

[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[!]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment

Tests are being skipped without any comment. I guess it's because of test dependencies that can not be packaged due to licensing reasons?

[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[-]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary

Exact dep on other fest-* packages is okay.

[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.
Can't build due to missing deps in fedora

=== Issues ===
1. Could you add some more details to, and clarify, the description (especially as contained in the spec file itself). A very brief explanation of the word FEST would be nice too.
2. Please make sure this package builds with the set of packages in fedora
3. Missing "BuildRequires: java-devel"
4. Can the fest-test dependency be left out ? (I am assuming that since it's only listed as BuildRequires that it's needed for a test).
5. Please depend on junit rather than junit4
6. Missing "Requires: jpackage-utils"
7. Unnecessary 'rm -rf' at end of %install.
8. Please add a comment explaining why you are skipping tests.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 3 Roman Kennke 2012-05-04 10:23:54 EDT
Thanks for review. I addressed all the mentioned issues:

Spec URL:
http://rkennke.fedorapeople.org/fest-swing-junit/2/fest-swing-junit.spec
SRPM URL:
http://rkennke.fedorapeople.org/fest-swing-junit/2/fest-swing-junit-1.2.1-2.fc16.src.rpm

Regarding issue #2, we will have to wait until fest-swing is in, the rest should be in Fedora already.

Ok now?
Comment 4 Omair Majid 2012-05-09 15:22:16 EDT
There are missing BuildRequires on maven packages. The package fails to build in mock:

+ mvn-rpmbuild -Dmaven.test.skip=true install javadoc:javadoc
RPM build errors:
/var/tmp/rpm-tmp.9oBrsB: line 36: mvn-rpmbuild: command not found

As a minor nit, the remaining dep on junit4 should also be changed to junit.
Comment 5 Roman Kennke 2012-05-15 17:01:39 EDT
I added BuildRequires on Maven and fixed the JUnit dependency.

Spec URL: http://rkennke.fedorapeople.org/fest-swing-junit/3/fest-swing-junit.spec
SRPM URL: http://rkennke.fedorapeople.org/fest-swing-junit/3/fest-swing-junit-1.2.1-3.fc16.src.rpm

Ok now?
Comment 6 Omair Majid 2012-05-16 10:39:41 EDT
================
*** APPROVED ***
================
Comment 7 Roman Kennke 2012-05-18 04:16:19 EDT
New Package SCM Request
=======================
Package Name: fest-swing-junit
Short Description: FEST Swing JUnit support
Owners: rkennke neugens
Branches: f17
InitialCC: java-sig
Comment 8 Jason Tibbitts 2012-05-19 14:33:00 EDT
Git done (by process-git-requests).
Comment 9 Jason Tibbitts 2013-05-19 19:20:10 EDT
I do not understand why this ticket is still open.  It wasn't even ever assigned. It was branched for F17 but doesn't appear to ever have been built there, but it's in F18 and later.

Note You need to log in before you can comment on or make changes to this bug.